
<!DOCTYPE html>
<html prefix="og: https://ogp.me/ns#" dir="ltr" lang="nl">
<head>
    <title>Uponor Netherlands</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">

    
    <link rel="icon" href="/assets/images/favicon.ico" type="image/x-icon"/>
    <link rel="stylesheet" media="screen" href="/assets/frontend/v2/portal/page_style.css">
    <script src="/assets/dynamic/d00dbdd32c34ea1959d1b89ef9a8ad44/frontend/v2/libs/jquery.js" type="text/javascript"></script>

    <script type="text/javascript">
        let continuity;
        let currentPage = 'search';

        function handleError(args) {
            if (args.json.code === 'LOGIN_REQUIRED') {
                if (args.method === 'login') {
                    document.getElementById('oxomi-login-error').innerHTML = args.json.message;
                    return true;
                }
                if (args.method === 'portalPage') {
                    const _logout = document.getElementById('oxomi-logout');
                    const _content = document.getElementById('oxomi-content');
                    const _sidebar = document.getElementById('oxomi-sidebar');

                    sirius.hide(_logout);
                    sirius.hide(_content);
                    sirius.hide(_sidebar);

                    _content.innerHTML = '';
                    _sidebar.innerHTML = '';

                    // show the login form
                    const _loginContainer = document.getElementById('oxomi-login-container');
                    const _loginBox = document.getElementById('oxomi-login-box');
                    const _loginForm = document.getElementById('login-form');
                    const _forgotPasswordButton = document.getElementById('oxomi-forgot-password');
                    const _userNameInput = document.getElementById('oxomi-user');
                    const _passwordInput = document.getElementById('oxomi-password');
                    const _loginPortalLogo = document.getElementById('login-portal-logo');

                    _loginForm.onsubmit = function (event) {
                        oxomi.performLogin({
                            loginHandler: function (args) {
                                _loginBox.querySelectorAll('.oxomi-login-input-js').forEach(function (_input) {
                                    _input.value = '';
                                });
                                sirius.hide(_loginContainer);
                                sirius.show(_content);
                                gotoPage('search');
                            }
                        }, _loginBox);
                        event.preventDefault();
                        return false;
                    };

                    _forgotPasswordButton.addEventListener('click', function () {
                        oxomi.showForgotPasswordForm(_loginBox, window.location.reload);
                    });
                    // only set type="email" on mobile devices to show specific keyboard there
                    // and we need type="text" on desktop because Firefox doesn't suggest to remember password on type="email"
                    _userNameInput.type = isMobile.any ? 'email' : 'text';

                    oxomi.withConfig(function () {
                        if (oxomi.config.portalLogo) {
                            //empty src first so default logo is hidden while loading
                            _loginPortalLogo.src = '';
                            _loginPortalLogo.src = oxomi.config.portalLogo;
                        }
                        sirius.show(_loginContainer);
                    });
                    return true;
                }
                return false;
            }
            if (args.method === 'portalPage') {
                oxomi.fail({target: '#oxomi-content', message: args.json.message});
            }
            return false;
        }

        document.addEventListener('oxomi-loaded', function oxomi_ready() {
            const buzzLink = new buzz.Connector({
                name: 'Portal'
            });

            const settings = {
                portal: '3001656',
                errorHandler: handleError,
                portalName: 'Uponor Netherlands',
                portalEnvironment: true,
                debug: false
            }

            if (false) {
                buzzLink.addCapability('fetchProductData', function (message) {
                    message.reply({});
                });
            }

                                                settings.selection = 'brand_UOH4A1AMDADNVEN7IT4UD0R7OC';
                            
            oxomi.init(settings);
            gotoPage('search');
        });

        document.addEventListener('continuity-configured', function (event) {
            continuity = event.detail;
            continuity.registerStateEntryHandler('portalPage', {
                excludeFromParameter: true,
                restore: function (entry) {
                    continuity.overwritePath(oxomi.portalUrl + '/' + entry.page);
                    goToPageIfDifferent(entry.page);
                },
                destroy: function (entry) {
                }
            });
        });

        document.addEventListener('continuity-initialized', function (event) {
            if (!continuity.hasStateEntry('portalPage')) {
                continuity.replaceStateEntry('portalPage', {
                    page: 'search'
                });
            }
        });

        const actionToClose = '';
        const loginEnabled = false;

        function logoutHandler() {
            if (sirius.isFilled(actionToClose)) {
                window.location.href = '';
            } else {
                if (loginEnabled) {
                    window.location.reload();
                } else {
                    sirius.hide('#oxomi-content');
                    //overwrite default error message with a message more appropriate for the user
                    oxomi.fail({message: 'U bent succesvol uitgelogd.', target: '#oxomi-content'});
                }
            }
        }

        function goToPageIfDifferent(page) {
            if (currentPage !== page) {
                gotoPage(page);
            }
        }

        function gotoPage(page) {
            currentPage = page;
            oxomi.portalPage({
                page: page,
                inIFrame: false,
                target: '#oxomi-content',
                menuArgs: {
                    portalStyle: true,
                    completionHandler: function (ctx) {
                        if (!isMobile.phone) {
                            const _navbar = document.querySelector('.oxomi-portal .navbar');
                            if (_navbar) {
                                _navbar.classList.add('navbar-fixed');
                            }
                        }
                    },
                    logoutHandler: logoutHandler,
                    menuAction: function (code) {
                        gotoPage(code);
                        continuity.overwritePath(oxomi.portalUrl + '/' + code);
                        continuity.pushEntireState({
                            portalPage: {
                                page: code
                            }
                        });
                    }
                }
            }).then(function (json) {
                document.title = 'Uponor Netherlands';

                if (typeof json.title !== 'undefined' && json.title !== null) {
                    document.title += ' - ' + json.title;
                }
            });
        }
    </script>

    <script type="text/javascript"
            src="https://oxomi.com/assets/dynamic/d00dbdd32c34ea1959d1b89ef9a8ad44/frontend/v2/oxomi.js" async></script>

    <style media="all">
        html {
            font-size: 14px;
        }

        body {
            /* This is Workaround 3.2.b for IE11 grid/flex min-height bug 3.2.a: https://github.com/philipwalton/flexbugs#flexbug-3 */
            display: flex;
            flex-direction: column;
            margin: 0;
        }
    </style>
    <style>
        
    </style>
    
<style>
    /* ------------- */
    /* Design Colors */
    /* ------------- */

    .oxomi-portal .oxomi-color-primary,
    .oxomi-portal .oxomi-color-primary > a,
    .oxomi-portal .oxomi-color-primary-onfocus:focus,
    .oxomi-portal .oxomi-color-primary-onfocus:focus > a,
    .oxomi-portal .oxomi-color-primary-onfocus:hover,
    .oxomi-portal .oxomi-color-primary-onfocus:hover > a {
        background-color: #33658a !important;
        color: #ffffff !important;
        border-color: #33658a !important;
    }

    .oxomi-portal .oxomi-color-primary-accent,
    .oxomi-portal .oxomi-color-primary-accent > a,
    .oxomi-portal .oxomi-color-primary-accent-onfocus:focus,
    .oxomi-portal .oxomi-color-primary-accent-onfocus:focus > a,
    .oxomi-portal .oxomi-color-primary-accent-onfocus:hover,
    .oxomi-portal .oxomi-color-primary-accent-onfocus:hover > a {
        background-color: #517C9B !important;
        color: #ffffff !important;
        border-color: #517C9B;
    }

    .oxomi-portal .oxomi-color-primary-invert,
    .oxomi-portal .oxomi-color-primary-invert > a,
    .oxomi-portal .oxomi-color-primary-invert-onfocus:focus,
    .oxomi-portal .oxomi-color-primary-invert-onfocus:focus > a,
    .oxomi-portal .oxomi-color-primary-invert-onfocus:hover,
    .oxomi-portal .oxomi-color-primary-invert-onfocus:hover > a {
        background-color: #ffffff !important;
        color: #33658a !important;
        border-color: #33658a;
    }

    .oxomi-portal .oxomi-color-primary-invert-accent,
    .oxomi-portal .oxomi-color-primary-invert-accent > a,
    .oxomi-portal .oxomi-color-primary-invert-accent-onfocus:focus,
    .oxomi-portal .oxomi-color-primary-invert-accent-onfocus:focus > a,
    .oxomi-portal .oxomi-color-primary-invert-accent-onfocus:hover,
    .oxomi-portal .oxomi-color-primary-invert-accent-onfocus:hover > a {
        background-color: #ffffff !important;
        color: #517C9B !important;
        border-color: #517C9B;
    }

    .oxomi-portal .oxomi-color-secondary,
    .oxomi-portal .oxomi-color-secondary > a,
    .oxomi-portal .oxomi-color-secondary-onfocus:focus,
    .oxomi-portal .oxomi-color-secondary-onfocus:focus > a,
    .oxomi-portal .oxomi-color-secondary-onfocus:hover,
    .oxomi-portal .oxomi-color-secondary-onfocus:hover > a {
        background-color: #33658a;
        color: #ffffff;
        border-color: #33658a;
    }

    .oxomi-portal .oxomi-color-secondary-accent,
    .oxomi-portal .oxomi-color-secondary-accent > a,
    .oxomi-portal .oxomi-color-secondary-accent-onfocus:focus,
    .oxomi-portal .oxomi-color-secondary-accent-onfocus:focus > a,
    .oxomi-portal .oxomi-color-secondary-accent-onfocus:hover,
    .oxomi-portal .oxomi-color-secondary-accent-onfocus:hover > a {
        background-color: #517C9B;
        color: #ffffff;
        border-color: #517C9B;
    }

    .oxomi-portal .oxomi-color-secondary-invert,
    .oxomi-portal .oxomi-color-secondary-invert > a,
    .oxomi-portal .oxomi-color-secondary-invert-onfocus:focus,
    .oxomi-portal .oxomi-color-secondary-invert-onfocus:focus > a,
    .oxomi-portal .oxomi-color-secondary-invert-onfocus:hover,
    .oxomi-portal .oxomi-color-secondary-invert-onfocus:hover > a {
        background-color: #ffffff;
        color: #33658a;
        border-color: #33658a;
    }

    .oxomi-portal .oxomi-color-secondary-invert-accent,
    .oxomi-portal .oxomi-color-secondary-invert-accent > a,
    .oxomi-portal .oxomi-color-secondary-invert-accent-onfocus:focus,
    .oxomi-portal .oxomi-color-secondary-invert-accent-onfocus:focus > a,
    .oxomi-portal .oxomi-color-secondary-invert-accent-onfocus:hover,
    .oxomi-portal .oxomi-color-secondary-invert-accent-onfocus:hover > a {
        background-color: #ffffff;
        color: #517C9B;
        border-color: #517C9B;
    }

    input:checked + .oxomi-archive-slider {
        background-color: #33658a;
    }

    input:focus + .oxomi-archive-slider {
        box-shadow: 0 0 1px #33658a;
    }

    /* ---------------------- */
    /* Hover Underline Effect */
    /* ---------------------- */

    /* Customizes the color of the hover underline effect */
    .oxomi-effect-hover-underline-primary::before {
        background-color: #33658a;
    }
</style></head>
<body class="oxomi-portal oxomi-dark-primary sci-text sci-enable-font sci-border-box">
<div id="oxomi-portal-wrapper" class="sci-d-flex sci-flex-column sci-h-100 sci-w-100" style="height: 100dvh;">
    <div id="portal-pages-menu" class="sci-w-100"></div>
    <div class="oxomi-portal-container sci-flex-grow-0 sci-h-100 sci-overflow-auto">
        <div id="oxomi-content" class="sci-min-height-100">
        </div>
        <div id="oxomi-sidebar" class="sci-min-height-100">
        </div>
        <div id="oxomi-login-container" style="display: none">
            <div id="oxomi-login-box" class="sci-card sci-shadow sci-p-3 sci-mt-1 sci-mb-1 sci-ml-auto sci-mr-auto"
                 style="width: 26rem;">
                <form id="login-form" class="sci-d-flex sci-flex-column sci-align-items-center" method="post"
                      novalidate>
                    <img id="login-portal-logo"
                         class="sci-max-width-100 sci-mb-4"
                         style="max-height: 6rem;"
                         src="/assets/images/oxomi_logo.jpg"
                         alt=""/>
                    <div id="oxomi-login-error" class="sci-text-red sci-bold">
                                            </div>
                    <div class="sci-text-size-h3 sci-text-transform-uppercase sci-w-100 sci-text-muted sci-mb-4">
                        Portal Login
                    </div>
                    <div class="sci-text-input-label sci-w-100">
                        E-mail / Gebruiker
                    </div>
                    <input id="oxomi-user"
                           class="oxomi-login-input-js sci-text-input sci-w-100"
                           type="text"
                           inputmode="email"
                           autofocus/>
                    <div class="sci-text-input-label sci-w-100 sci-mt-1">Wachtwoord</div>
                    <input id="oxomi-password"
                           class="oxomi-login-input-js sci-text-input sci-w-100"
                           type="password"/>
                    <input type="submit"
                           class="sci-btn-primary sci-text sci-d-block sci-w-100 sci-mt-4"
                           value="Inloggen"/>
                    <a id="oxomi-forgot-password"
                       class="sci-btn-secondary-outline sci-d-block sci-d-block sci-w-100 sci-mt-1">
                        Wachtwoord vergeten
                    </a>
                </form>
                            </div>
        </div>
            </div>
</div>
</body>
</html>